#pragma once

#include <QDialog>

QT_BEGIN_NAMESPACE
namespace Ui {
  class AddUniverseDialog;
}
QT_END_NAMESPACE

class AddUniverseDialog : public QDialog
{
  Q_OBJECT

public:
  explicit AddUniverseDialog(QWidget *parent = nullptr, uint16_t universe = 1,
                             QString title = "");
  virtual ~AddUniverseDialog();

public slots:
  void requestAddition();

signals:
  void additionRequested(int universe);

private:
  Ui::AddUniverseDialog *ui;
};
